FileTail (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class FileTail

    java.lang.Object
      org.hyperic.sigar.FileWatcher
          org.hyperic.sigar.FileTail

    public abstract class FileTail

extends FileWatcher

Field Summary
`static java.lang.String` | `PROP_USE_SUDO`

Constructor Summary
`FileTail(Sigar sigar)`

Method Summary
`FileInfo` | `add(java.lang.String file)`
`protected boolean` | `changed(FileInfo info)`
`void` | `onChange(FileInfo info)`
`abstract void` | `tail(FileInfo info, java.io.Reader reader)`
`void` | `useSudo(boolean useSudo)`

Methods inherited from class org.hyperic.sigar.FileWatcher
`add, add, add, check, clear, getFiles, getInterval, onException, onNotFound, remove, remove, setInterval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_USE_SUDO

    public static final java.lang.String PROP_USE_SUDO

See Also:
  Constant Field Values

Constructor Detail

### FileTail

    public FileTail(Sigar sigar)

Method Detail

### tail

    public abstract void tail(FileInfo info,
                              java.io.Reader reader)

### useSudo

    public void useSudo(boolean useSudo)

### onChange

    public void onChange(FileInfo info)

  Specified by:
    `onChange` in class `FileWatcher`

### add

    public FileInfo add(java.lang.String file)
                 throws SigarException

  Overrides:
    `add` in class `FileWatcher`
  Throws:
    `SigarException`

### changed

    protected boolean changed(FileInfo info)
                       throws SigarException,
                              SigarFileNotFoundException

  Overrides:
    `changed` in class `FileWatcher`
  Throws:
    `SigarException`
    `SigarFileNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.